summaryrefslogtreecommitdiffstats
path: root/source/l/enchant/enchant.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/enchant/enchant.SlackBuild')
-rwxr-xr-xsource/l/enchant/enchant.SlackBuild18
1 files changed, 15 insertions, 3 deletions
diff --git a/source/l/enchant/enchant.SlackBuild b/source/l/enchant/enchant.SlackBuild
index bcd2cd7e9..d4f0eb9bc 100755
--- a/source/l/enchant/enchant.SlackBuild
+++ b/source/l/enchant/enchant.SlackBuild
@@ -24,11 +24,20 @@
# Modified by Robby Workman <rworkman at slackware.com>
-VERSION=1.4.2
-ARCH=${ARCH:-x86_64}
+VERSION=1.5.0
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j6 "}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-enchant
@@ -42,13 +51,16 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf enchant-$VERSION
-tar xvf $CWD/enchant-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/enchant-$VERSION.tar.xz || exit 1
cd enchant-$VERSION || exit 1
chown -R root:root .
find . \